import sys
import holap
print "Testing the wrapping of a C++ bigarray in Python"
myfile = "somefilename.bin"
c=holap.bigarrayi([4,4,4],myfile)
c.fillWithZeroes() # useless but a good test
print "File somefilename.bin should have %i bytes" % (c.getVolume()*4)
print " putting 1 in a cell"
c.put([0,0,1],1)
print "I expect to read 1"
result =  c.get([0,0,1])
print result
if(result <> 1): 
  print " **** You have a problem friend. *** "
  sys.exit(-1)
print "I expect to read 2"
c.increment([0,0,1],1)
result =  c.get([0,0,1])
print result
if(result <> 2): 
  print " **** You have a problem friend. *** "
  sys.exit(-1)
print "Done testing bigarray. It should work."
print "You'll find the result in the flat binary file ", myfile
print "This is a good idea for small cubes (all dense)."
print
#

